Z3 |

Public Member Functions
Z3Exception Class Reference
Inheritance diagram for Z3Exception:

## Public Member Functions
| Z3Exception ()
| Z3Exception (String message)
| Z3Exception (String message, Exception inner)

## Detailed Description

The exception base class for error reporting from Z3

Definition at line 25 of file Z3Exception.java.

## Constructor & Destructor Documentation

## ◆ Z3Exception() [1/3]

Z3Exception | ( |  | ) |
| inline

Constructor.

Definition at line 30 of file Z3Exception.java.

31 {
32 super();
33 }

## ◆ Z3Exception() [2/3]

Z3Exception | ( | String | message | ) |
| inline

Constructor.

Definition at line 38 of file Z3Exception.java.

39 {
40 super(message);
41 }

## ◆ Z3Exception() [3/3]

Z3Exception | ( | String | message,
|  | Exception | inner
| ) |  |
| inline

Constructor.

Definition at line 46 of file Z3Exception.java.

47 {
48 super(message, inner);
49 }